package com.liquidnet.client.admin.zhengzai.kylin.service;

import com.liquidnet.client.admin.zhengzai.kylin.dto.OrderExportVo;

import java.util.List;

public interface IExportService {

    List<OrderExportVo> exportOrderByPerformanceIdAll(String performancesId);

    List<OrderExportVo> exportOrderByPerformanceIdPay(String performancesId);

    //根据订单时间导出信息
    List<OrderExportVo> exportOrderByOrderTime(String beginTime, String endTime);

    //根据演出时间导出信息
    List<OrderExportVo> exportOrderByShowTime(String beginTime, String endTime);

    //根据演出id导出信息
    List<OrderExportVo> exportOrderByShowId(String showId);

    //导出会员订单信息
    List<OrderExportVo> exportMemberOrder(String beginTime, String endTime);

    //导出商品订单信息
    List<OrderExportVo> exportCommodityOrder(String beginTime, String endTime);
}
